Bug 1686418 - Review Request: R-ncdf4 - Interface to Unidata netCDF (Version 4 or Earlier) Format Data Files
Summary: Review Request: R-ncdf4 - Interface to Unidata netCDF (Version 4 or Earlier) ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 12:32 UTC by Elliott Sales de Andrade
Modified: 2019-03-29 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 21:08:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-03-07 12:32:28 UTC
Spec URL: https://qulogic.fedorapeople.org//R-ncdf4.spec
SRPM URL: https://qulogic.fedorapeople.org//R-ncdf4-1.16-1.fc29.src.rpm

Description:
Provides a high-level R interface to data files written using Unidata's netCDF
library (version 4 or earlier), which are binary data files that are portable
across platforms and include metadata information in addition to the data sets.
Using this package, netCDF files (either version 4 or "classic" version 3) can
be opened and data sets read in easily. It is also easy to create new netCDF
dimensions, variables, and files, in either version 3 or 4 format, and
manipulate existing netCDF files.

Comment 1 Elliott Sales de Andrade 2019-03-07 12:32:29 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=33267674

Comment 2 Robert-André Mauchin 🐧 2019-03-07 16:14:22 UTC
 - Squash the rpath:

R-ncdf4.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/R/library/ncdf4/libs/ncdf4.so ['/usr/lib64']


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Public domain". 37
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/R-ncdf4/review-R-ncdf4/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     R-ncdf4-debuginfo , R-ncdf4-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.16, packaged version is 1.16

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-ncdf4-1.16-1.fc31.x86_64.rpm
          R-ncdf4-debuginfo-1.16-1.fc31.x86_64.rpm
          R-ncdf4-debugsource-1.16-1.fc31.x86_64.rpm
          R-ncdf4-1.16-1.fc31.src.rpm
R-ncdf4.x86_64: W: spelling-error Summary(en_US) netCDF -> netted
R-ncdf4.x86_64: W: spelling-error %description -l en_US netCDF -> netted
R-ncdf4.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/R/library/ncdf4/libs/ncdf4.so ['/usr/lib64']
R-ncdf4.src: W: spelling-error Summary(en_US) netCDF -> netted
R-ncdf4.src: W: spelling-error %description -l en_US netCDF -> netted
4 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 3 Elliott Sales de Andrade 2019-03-08 07:25:39 UTC
Fixed.

Spec URL: https://qulogic.fedorapeople.org/R-ncdf4.spec
SRPM URL: https://qulogic.fedorapeople.org/R-ncdf4-1.16-2.fc29.src.rpm

Comment 4 Robert-André Mauchin 🐧 2019-03-08 09:08:56 UTC
Package approved.

Comment 5 Gwyn Ciesla 2019-03-08 14:37:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-ncdf4

Comment 6 Fedora Update System 2019-03-09 06:13:24 UTC
R-ncdf4-1.16-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-19854b8cc0

Comment 7 Fedora Update System 2019-03-09 06:13:52 UTC
R-ncdf4-1.16-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-21647cf3b9

Comment 8 Fedora Update System 2019-03-09 06:14:38 UTC
R-ncdf4-1.16-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-44c5b5301f

Comment 9 Fedora Update System 2019-03-09 17:40:30 UTC
R-ncdf4-1.16-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-19854b8cc0

Comment 10 Fedora Update System 2019-03-10 18:27:55 UTC
R-ncdf4-1.16-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-44c5b5301f

Comment 11 Fedora Update System 2019-03-10 19:13:49 UTC
R-ncdf4-1.16-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-21647cf3b9

Comment 12 Fedora Update System 2019-03-11 22:03:39 UTC
R-ncdf4-1.16.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-21647cf3b9

Comment 13 Fedora Update System 2019-03-11 22:03:52 UTC
R-ncdf4-1.16.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-44c5b5301f

Comment 14 Fedora Update System 2019-03-12 22:59:31 UTC
R-ncdf4-1.16.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-44c5b5301f

Comment 15 Fedora Update System 2019-03-12 23:40:58 UTC
R-ncdf4-1.16.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-21647cf3b9

Comment 16 Fedora Update System 2019-03-21 21:08:29 UTC
R-ncdf4-1.16.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-03-21 21:46:50 UTC
R-ncdf4-1.16.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-03-29 19:11:23 UTC
R-ncdf4-1.16-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.